#!/usr/bin/python

from nikos_welt import *

# Version, in der bei links- und rechts- kurve vor beim Überschreiben
# nicht ersetzt wird.

class Roboter2(Roboter):

	def __init__(self,welt,time):
             Roboter.__init__(self,welt,time)

	def rechts(self):
		self.links()
		self.links()
		self.links()

	def rechtskurve(self):
		self.rechts()
		Roboter.vor(self)  # lass dir hier kein neues vor vorschreiben
		self.rechts()

	def linkskurve(self):
		self.links()
		Roboter.vor(self) # lass dir hier kein neues vor vorschreiben
		self.links()

	def vor_bis_wand(self):
		while self.vorne_frei():
			self.vor()

	def rechts_frei(self):
                self.rechts()
		if self.vorne_frei():
			self.links()
			return 1
                else:
			self.links()
			return 0

	def links_frei(self):
                self.links()
		if self.vorne_frei():
			self.rechts()
			return 1
                else:
			self.rechts()
			return 0
